Skip to navigation

CRUD: Update a product rate plan

View as Markdown
Updates a product rate plan.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequired
Object id

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

X-Zuora-WSDL-VersionstringOptionalDefaults to 79
Zuora WSDL version number.
Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

rejectUnknownFieldsbooleanOptionalDefaults to false

Specifies whether the call fails if the request body contains unknown fields. With rejectUnknownFields set to true, Zuora returns a 400 response if the request body contains unknown fields. The body of the 400 response is:

{
    "message": "Error - unrecognised fields"
}

By default, Zuora ignores unknown fields in the request body.

Request

This endpoint expects an object.
ActiveCurrencieslist of stringsOptional

A list of 3-letter currency codes representing active currencies for the product rate plan. Use a comma to separate each currency code.

If the request body contains this field, the value of this field must contain the desired list of active currencies. The new list can never have more than four differences from the existing list.

This field cannot be used to modify the status of more than four currencies in a single request. For example, in a single request, you can only activate four currencies, or deactivate four currencies, or activate two and deactivate two. Making more than four changes to currencies always requires more than one call.

When specifying this field in the update request, you must provide the full list of active currencies you want, not just incremental changes. For each active currency update, provide the following currencies in the list:

Current active currencies + at most four changes (additions or deletions)

DescriptionstringOptional<=500 characters
A description of the product rate plan.
EffectiveEndDatedateOptional

The date when the product rate plan expires and can’t be subscribed to, in yyyy-mm-dd format.

EffectiveStartDatedateOptional

The date when the product rate plan becomes available and can be subscribed to, in yyyy-mm-dd format.

ExternalIdSourceSystemstringOptional

The ID of the external source system.

Note: To use this field, you must set the X-Zuora-WSDL-Version request header to 130 or later. Otherwise, an error occurs.

ExternalRatePlanIdsstringOptional

An external ID of the product rate plan to be added. You can use this field to specify a product rate plan that is imported from an external system. If you want to update to multiple values, use a comma separated string.

Note: To use this field, you must set the X-Zuora-WSDL-Version request header to 130 or later. Otherwise, an error occurs.

GradedoubleOptional

The grade that is assigned for the product rate plan. The value of this field must be a positive integer. The greater the value, the higher the grade.

A product rate plan to be added to a Grading catalog group must have one grade. You can specify a grade for a product rate plan in this request or update the product rate plan individually.

Notes:

  • To use this field, you must set the X-Zuora-WSDL-Version request header to 116 or later. Otherwise, an error occurs.
  • This field is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at Zuora Global Support.
NamestringOptional<=255 characters
The name of the product rate plan. The name doesn't have to be unique in a Product Catalog, but the name has to be unique within a product.
ProductIdstringOptional<=32 characters
The ID of the product that contains the product rate plan.
ProductRatePlanNumberstringOptional<=100 characters

The natural key of the product rate plan.

For existing Product Rate Plan objects that are created before this field is introduced, this field will be null. Use this field to specify a value for only these objects. Zuora also provides a tool to help you automatically backfill this field with tenant ID for your existing product catalog. If you want to use this backfill tool, contact Zuora Global Support.

Note: This field is only available if you set the X-Zuora-WSDL-Version request header to 133 or later.

BillingPeriod__NSenumOptional

Billing period associated with the corresponding item in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Allowed values:
Class__NSstringOptional<=255 characters

Class associated with the corresponding item in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Department__NSstringOptional<=255 characters

Department associated with the corresponding item in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

IncludeChildren__NSenumOptional

Specifies whether the corresponding item in NetSuite is visible under child subsidiaries. Only available if you have installed the Zuora Connector for NetSuite.

Allowed values:
IntegrationId__NSstringOptional<=255 characters

ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

IntegrationStatus__NSstringOptional<=255 characters

Status of the product rate plan’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

ItemType__NSenumOptional

Type of item that is created in NetSuite for the product rate plan. Only available if you have installed the Zuora Connector for NetSuite.

Allowed values:
Location__NSstringOptional<=255 characters

Location associated with the corresponding item in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

MultiCurrencyPrice__NSstringOptional<=255 characters

Multi-currency price associated with the corresponding item in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Price__NSstringOptional<=255 characters

Price associated with the corresponding item in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Subsidiary__NSstringOptional<=255 characters

Subsidiary associated with the corresponding item in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

SyncDate__NSstringOptional<=255 characters

Date when the product rate plan was synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
IdstringOptional
SuccessbooleanOptional

Errors

401
Unauthorized Error